This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1298903 - The schedule of an SCAP policy is not nest when added to parent host-group
The schedule of an SCAP policy is not nest when added to parent host-group
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: SCAP Plugin (Show other bugs)
6.1.5
Unspecified Unspecified
unspecified Severity medium (vote)
: GA
: --
Assigned To: Marek Hulan
Shimon Shtein
: Triaged
: 1474407 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 07:03 EST by Harald Jensås
Modified: 2017-08-23 04:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 18066 None None None 2017-01-13 06:16 EST

  None (edit)
Description Harald Jensås 2016-01-15 07:03:48 EST
Description of problem:
When creating a SCAP Policy and selecting the parent hostgroup of multiple nested host-groups the 'policy:' does not apply to hosts that are members of the nested groups.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Create 3 host groups

---|-------------|------------------|------------------|---------------------------------|------
ID | NAME        | TITLE            | OPERATING SYSTEM | ENVIRONMENT                     | MODEL
---|-------------|------------------|------------------|---------------------------------|------
1  | RHEL7Server | RHEL7Server      | RedHat 7.2       | KT_Example_ORG_Library_puppet_7 |      
5  | LNX         | RHEL7Server/LNX  |                  |                                 |      
4  | PROD        | RHEL7Server/PROD |                  |                                 |      
---|-------------|------------------|------------------|---------------------------------|------

2. Create an SCAP policy.
3. Assign the SCAP policy to the RHEL7Server host-group.

Actual results:
The policy does not apply correctly to a host in the nested groups LNX and PROD. The "policies:" become an unset array, instead of specifying policy ID and schedule. However the 'foreman_scap_client:' class is added.
---
classes:
  foreman_scap_client:
    policies: []
    port: '9090'
    server: sat61.lnx.example.com
parameters:
  puppetmaster: sat61.lnx.example.com
  hostgroup: RHEL7Server/LNX

Expected results:
The policy should apply correctly to hosts that are part of nested host-groups.

---
classes:
  foreman_scap_client:
    policies:
    - id: 1
      profile_id: xccdf_org.ssgproject.content_profile_common
      content_path: /var/lib/openscap/content/96e3704d2909a9f0956131e7254d2d3416ca9268f2d735e3f40a4353efa3c3e9.xml
      download_path: /compliance/policies/1/content
      minute: ! '*/10'
      hour: ! '*'
      monthday: ! '*'
      month: ! '*'
      weekday: ! '*'
    port: 9090
    server: sat61.lnx.example.com
parameters:
  puppetmaster: sat61.lnx.example.com
  hostgroup: RHEL7Server/LNX


Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:06:42 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 3 Marek Hulan 2017-01-13 06:16:19 EST
Created redmine issue http://projects.theforeman.org/issues/18066 from this bug
Comment 4 Marek Hulan 2017-01-13 06:22:48 EST
Thanks for the report. We should add inheriting mechanism here too, so the policies from all parent host groups are merged into the policies list.
Comment 7 pm-sat@redhat.com 2017-01-13 08:06:30 EST
Upstream bug assigned to mhulan@redhat.com
Comment 8 pm-sat@redhat.com 2017-01-13 08:06:33 EST
Upstream bug assigned to mhulan@redhat.com
Comment 9 pm-sat@redhat.com 2017-01-17 04:06:28 EST
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18066 has been resolved.
Comment 10 Ondřej Pražák 2017-07-31 06:20:14 EDT
*** Bug 1474407 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.